#!/usr/bin/env node


const Process = require('npm-process')
const Snatch = require('cross-env-argv')
const Console = require('console-color-mr')


const Run = ( command = Snatch( process ) ) => {

  // No Command
  if ( JSON.stringify( command ) === '{}' )
  {
    return console.log( `No Command` )
  }

  Process.exec('vue -V')

    // Run Command
    .then(

      ( version ) => {

        if ( command.ui )
        {
          console.info( `GUI 启动中 ...`.blue)

          Process.exec('vue ui', true)
            .then( data => console.info( `GUI 启动 完成`.green ) )
            .catch( console.error )
        }

      }

    )

    // Run Init
    .catch(

      ( error ) => {

        console.log( `GUI 初始化 ...`.blue )

        Process.exec('npm i -g @vue/cli')
          .then( data => ( console.info( `GUI 初始化 完成`.green ), Run() ) )
          .catch( console.error )
      }

    )

}

Run( /* Command */ )
